net.corda.node.services.database

## Class RequeryConfiguration

- net.corda.node.services.database.RequeryConfiguration

-     public class RequeryConfiguration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequeryConfiguration.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequeryConfiguration.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequeryConfiguration(java.util.Properties properties, boolean useDefaultLogging)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.zaxxer.hikari.HikariConfig` | `getConfig()`
    `com.zaxxer.hikari.HikariDataSource` | `getDataSource()`
    `java.util.Properties` | `getProperties()`
    `boolean` | `getUseDefaultLogging()`
    `java.sql.Connection` | `jdbcSession()`
    `io.requery.sql.KotlinEntityDataStore<io.requery.Persistable>` | `makeSessionFactoryForModel(io.requery.meta.EntityModel model)`
    `io.requery.sql.KotlinEntityDataStore<io.requery.Persistable>` | `sessionForModel(io.requery.meta.EntityModel model)`

- - ### Field Detail

    - #### Companion

          public static RequeryConfiguration.Companion Companion

  - ### Constructor Detail

    - #### RequeryConfiguration

          public RequeryConfiguration(java.util.Properties properties,
                                      boolean useDefaultLogging)

  - ### Method Detail

    - #### getConfig

          public com.zaxxer.hikari.HikariConfig getConfig()

    - #### getDataSource

          public com.zaxxer.hikari.HikariDataSource getDataSource()

    - #### sessionForModel

          public io.requery.sql.KotlinEntityDataStore<io.requery.Persistable> sessionForModel(io.requery.meta.EntityModel model)

    - #### makeSessionFactoryForModel

          public io.requery.sql.KotlinEntityDataStore<io.requery.Persistable> makeSessionFactoryForModel(io.requery.meta.EntityModel model)

    - #### jdbcSession

          public java.sql.Connection jdbcSession()

    - #### getProperties

          public java.util.Properties getProperties()

    - #### getUseDefaultLogging

          public boolean getUseDefaultLogging()